Subject: bug#13479: Cross Compiling for ARM

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Jan 2013 20:18:31 -0500

>> Most/all calls to Elisp from C should protect themselves with calls to
>> Ffboundp or similar, indeed.  Martin, could you take care of that?
> I'm not sure.  If most/all calls should be protected we'd better provide
> call_[1-4]_safe function for this purpose.

Could be, but I suspect that when the function is not defined, we might
actually want to do something else rather than not do anything at all,
so maybe just call_safe is not quite sufficient.

> But I haven't the slightest idea of what might happen when some of
> these functions don't get called.

These calls come from your "rewrite" of the window.c code, AFAIK, so
I think you're the person who'd best know what needs to happen when
window.el is not yet loaded,

        Stefan